# parse `librerelease` `db-update` log via STDIN,
# and emit formatted notification message
release_notification() # ( hacker ) dbupdate_log->STDIN
{
  local hacker=${1:-somebody}
  #                   (pkgname             )-       :  (pkgver         )-      -(arch      )
  local filename_rx="^([0-9A-Za-z\._@\+\-]+)-([0-9]+:)?([0-9A-Za-z\._]+)-[^/-]+-([0-9a-z_]+)\.pkg\.tar\.[^\.]+$"
  local repo pkg arch pkgname pkgver

  printf "${hacker} just published: "
  grep -E "^==> Updating |^  -> [^ ]+ \([^ )]+\)" |
  while read line
  do    if   [[ "${line}" =~ ^==\>\ Updating\ \[([^\]]+)\]...$ ]]
        then repo=${BASH_REMATCH[1]}
        elif [[ "${line}" =~ ^\ *-\>\ ([^\ ]+)\ \(([^\ ]+)\)$ ]]
        then pkg=${BASH_REMATCH[1]} arch=${BASH_REMATCH[2]}
             if   [[ "${pkg}" =~ ${filename_rx} ]]
             then pkgname=${BASH_REMATCH[1]} pkgver=${BASH_REMATCH[3]}
                  if   [[ ! "${pkg}" =~ '-debug-' ]]
                  then echo "(${pkgname} ${pkgver})->${repo}/${arch}"
                  fi
             fi
        fi
  done | LANG=C sort -u | xargs
}
